
Imports Microsoft.VisualBasic
Imports System.Windows.Forms
Imports System.Drawing
Imports System.Math
Imports System
Imports Theremino_Script
Imports System.Diagnostics
Imports System.Runtime.InteropServices

Public Class Script
	Public Shared Sub Main(ByVal args As String())
		if args.length > 0 then
			Select Case args(0)
				Case "1": Method1
				Case "2": Method2
				Case "3": Method3
				Case "4": Method4
			End Select
		else
			MsgBox("This example requires Host.PictureBox and Host.TextBox")
		end if
	End Sub
End Class



Module Test

	Sub Method1()
		InitPictureboxImage
		Timer1.interval = 20
		if timer1.enabled then
			timer1.enabled = false
			Timer1.stop
		else
			timer1.enabled = true
			Timer1.start
		end if
	End Sub	

	Sub Method2()
		InitPictureboxImage
		TestLines
	End Sub

	Sub Method3()
		'GetTextBox.text &= "Test" & GetText() & vbcrlf
		'MessageBox.Show("HELLO WORLD")
		'debug.print("PPPPPP")
	End Sub

	Sub Method4()
		host.showmessage("GOODBYE")
		'' ------------------------------ division by zero
		'Dim b as Int32 = 0
		'b = 17 / b

		' ------------------------------ Double to Int32
		'Dim d as Double = 12.34
		'Dim a as Int32 = d

		' ------------------------------ Double to Int32
		''r = 12.34
	End Sub



	' ------------------------------------------------------
	'	Common functions
	' ------------------------------------------------------
	Sub InitPictureboxImage
		with GetPictureBox
If .ClientSize.Height < 1 Then Return
			.sizemode = PictureBoxSizeMode.Normal
			if .image is nothing then .Image = New Bitmap(.ClientSize.Width, .ClientSize.Height)
		end with
	End Sub

	Sub ClearPicturebox
		Dim g As Graphics = Graphics.FromImage(GetPictureBox.Image)
		g.clear(color.white)
	End Sub

	Function GetText() as string
		static n as Int32
		n += 1
		return n.tostring
	End Function


	Private WithEvents Timer1 As System.Windows.Forms.Timer = New System.Windows.Forms.Timer

	Private Sub Timer1_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles Timer1.Tick
		'
		Test_Circles
	End Sub



	' ------------------------------------------------------
	'	Test Lines
	' ------------------------------------------------------

	Private TestLinesWorking as boolean = false
	Private TestLinesAbort as boolean = false
	Sub TestLines()
		if TestLinesWorking then
			TestLinesAbort = true
			exit sub
		end if 

		TestLinesAbort = false
		TestLinesWorking = true

		Dim div As Double
		Dim x1 As Double
		Dim y1 As Double
		Dim x2 As Double
		Dim y2 As Double
		Dim x3 As Double
		Dim y3 As Double
		Dim x4 As Double
		Dim y4 As Double
		Dim dx1 As Double
		Dim dx2 As Double
		Dim dy1 As Double
		Dim dy2 As Double
		Dim f As Double

		Dim w As Long = GetPictureBox.width
		Dim h As Long = GetPictureBox.Height

		Dim g As Graphics = Graphics.FromImage(GetPictureBox.Image)

		div = 64
		Do
			Dim p as pen = new pen(color.fromargb(cint(rnd*255),cint(rnd*255), cint(rnd*255)))

			dx1 = w * Rnd: dy1 = h * Rnd
			dx2 = w * Rnd: dy2 = h * Rnd
			x3 = ((dx1 - x1) / div): y3 = ((dy1 - y1) / div)
			x4 = ((dx2 - x2) / div): y4 = ((dy2 - y2) / div)
			For f = 1 To 80
				x1 = x1 + x3: y1 = y1 + y3
				x2 = x2 + x4: y2 = y2 + y4
				g.drawLine (p, cint(x1), cint(y1), cint(x2), cint(y2))
			Next
			GetPictureBox.refresh
			application.doevents
		Loop Until TestLinesAbort

		TestLinesWorking = false

		' ------------------------- division by zero
		'Dim b as Int32 = 0
		'b = 17 / b

	End Sub




	' ------------------------------------------------------
	'	Test Circles
	' ------------------------------------------------------

	Private Sub Test_Circles()
		'on error resume next

		Dim g As Graphics = Graphics.FromImage(GetPictureBox.Image)

		Dim r As Int32
		Dim x As Int32
		Dim y As Int32
		Dim b As SolidBrush
		Dim cr As Int32
		Dim cg As Int32
		Dim cb As Int32

		For i As Int32 = 1 To 40
			r = CInt(20 + 40 * Rnd())
			x = CInt(250 * Rnd())
			y = CInt(210 * Rnd())
			cr = CInt(50 + 70 * Rnd())
			cg = CInt(50 + 70 * Rnd())
			cb = CInt(50 + 70 * Rnd())

			For r2 As Int32 = r To 1 Step -1
				b = New SolidBrush(Color.FromArgb(cr, cg, cb))
				g.FillEllipse(b, x - r2 \ 3, y - r2 \ 3, r2, r2)
				cr = min(cr + 5, 255)
				cg = min(cg + 4, 255)
				cb = min(cb + 4, 255)
			Next
		Next

		GetPictureBox.refresh
	End Sub

End Module