
Dim WithEvents Form1 as Form
Dim PictureBox1 As PictureBox

Sub Main(ByVal s() As String)
	if Form1 IsNot Nothing then return
	Form1 = New Form
	Form1.Show
	While Form1.Visible
		Application.DoEvents
		Threading.Thread.Sleep(1)
	End While
End Sub

Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Form1.Load
	PictureBox1 = new PictureBox
	with form1
		.Controls.Add(PictureBox1)
		.width = 450
		.height = 438
		'.border
	end with
	With PictureBox1
		.left = 10
		.top = 10
		.Width = 420
		.Height = 200
		.Anchor = AnchorStyles.Bottom Or AnchorStyles.Left Or AnchorStyles.Right Or AnchorStyles.Top
	End With
	PictureBox1.image = trycast(GetResource("PictureBox1.BackgroundImage"), bitmap)
	Form1.Show
End Sub


Friend Function GetResource(ByVal key As String) As Object
	GetResource = Nothing
	Dim rsxr As System.Resources.ResXResourceReader
	rsxr = System.Resources.ResXResourceReader.FromFileContents(ResStr)
	Dim id As IDictionaryEnumerator = rsxr.GetEnumerator()
	For Each d As DictionaryEntry In rsxr
		If d.key.ToString = key Then
			GetResource = d.value
			Exit For
		End If
	Next
	rsxr.Close()
End Function

Dim ResStr As String = _
"<?xml version=""1.0"" encoding=""utf-8""?>" & _
"<root>" & _
"<xsd:schema id=""root"" xmlns="""" xmlns:xsd=""http://www.w3.org/2001/XMLSchema"" xmlns:msdata=""urn:schemas-microsoft-com:xml-msdata"">" & _
"<xsd:import namespace=""http://www.w3.org/XML/1998/namespace"" />" & _
"<xsd:element name=""root"" msdata:IsDataSet=""true"">" & _
"<xsd:complexType>" & _
"<xsd:choice maxOccurs=""unbounded"">" & _
"<xsd:element name=""metadata"">" & _
"<xsd:complexType>" & _
"<xsd:sequence>" & _
"<xsd:element name=""value"" type=""xsd:string"" minOccurs=""0"" />" & _
"</xsd:sequence>" & _
"<xsd:attribute name=""name"" use=""required"" type=""xsd:string"" />" & _
"<xsd:attribute name=""type"" type=""xsd:string"" />" & _
"<xsd:attribute name=""mimetype"" type=""xsd:string"" />" & _
"<xsd:attribute ref=""xml:space"" />" & _
"</xsd:complexType>" & _
"</xsd:element>" & _
"<xsd:element name=""assembly"">" & _
"<xsd:complexType>" & _
"<xsd:attribute name=""alias"" type=""xsd:string"" />" & _
"<xsd:attribute name=""name"" type=""xsd:string"" />" & _
"</xsd:complexType>" & _
"</xsd:element>" & _
"<xsd:element name=""data"">" & _
"<xsd:complexType>" & _
"<xsd:sequence>" & _
"<xsd:element name=""value"" type=""xsd:string"" minOccurs=""0"" msdata:Ordinal=""1"" />" & _
"<xsd:element name=""comment"" type=""xsd:string"" minOccurs=""0"" msdata:Ordinal=""2"" />" & _
"</xsd:sequence>" & _
"<xsd:attribute name=""name"" type=""xsd:string"" use=""required"" msdata:Ordinal=""1"" />" & _
"<xsd:attribute name=""type"" type=""xsd:string"" msdata:Ordinal=""3"" />" & _
"<xsd:attribute name=""mimetype"" type=""xsd:string"" msdata:Ordinal=""4"" />" & _
"<xsd:attribute ref=""xml:space"" />" & _
"</xsd:complexType>" & _
"</xsd:element>" & _
"<xsd:element name=""resheader"">" & _
"<xsd:complexType>" & _
"<xsd:sequence>" & _
"<xsd:element name=""value"" type=""xsd:string"" minOccurs=""0"" msdata:Ordinal=""1"" />" & _
"</xsd:sequence>" & _
"<xsd:attribute name=""name"" type=""xsd:string"" use=""required"" />" & _
"</xsd:complexType>" & _
"</xsd:element>" & _
"</xsd:choice>" & _
"</xsd:complexType>" & _
"</xsd:element>" & _
"</xsd:schema>" & _
"<resheader name=""resmimetype"">" & _
"<value>text/microsoft-resx</value>" & _
"</resheader>" & _
"<resheader name=""version"">" & _
"<value>2.0</value>" & _
"</resheader>" & _
"<resheader name=""reader"">" & _
"<value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>" & _
"</resheader>" & _
"<resheader name=""writer"">" & _
"<value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>" & _
"</resheader>" & _
"<assembly alias=""System.Drawing"" name=""System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"" />" & _
"<data name=""PictureBox1.BackgroundImage"" type=""System.Drawing.Bitmap, System.Drawing"" mimetype=""application/x-microsoft.net.object.bytearray.base64"">" & _
"<value>" & _
"iVBORw0KGgoAAAANSUhEUgAAAcYAAADXCAIAAAAP/Wb0AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8" & _
"YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlzAAAOwQAA" & _
"DsEBuJFr7QAAFQdJREFUeF7tnb+rXNUWx+/cROMvjIUQhYeVIlgIFiISCNgqGNKJaWzE1kYF5ZV2IkQt" & _
"LbS1k/wPWkpIKcRCjYUSIUSCCPHt3PPevHHuzFnfc/baZ699zme4hImus/fan7X2Z/aZe3Nn9ffffx/w" & _
"gAAEIAABFwJJqTwgAAEIQMCFwIHLKAwCAQhAAAJ3b/qhAAEIQAACXgRQqhdJxoEABCDAKZUegAAEIOBH" & _
"gFOqH0tGggAEFk8ApS6+BQAAAQj4EUCpfiwZCQIQWDwBlLr4FgAABCDgRwCl+rFkJAhAYPEEUOriWwAA" & _
"EICAHwGU6seSkSAAgcUTQKmLbwEAQAACfgRQqh9LRoIABBZPAKUuvgUAAAEI+BFAqX4sGQkCEFg8AZS6" & _
"+BYAAAQg4EcApfqxZCQIQGDxBFDq4lsAABCAgB8BlOrHkpEgAIHFE0Cpi28BAEAAAn4EUKofS0aCAAQW" & _
"TwClLr4FAAABCPgRQKl+LBmpl8Bff/1169atzZA7d+7cvHkz/Qk5CMyGAEqdTSlDL+Snn3564YUXzp49" & _
"e+PGjXWi33333ZNPPnn+/Pnbt2+Hzp7kICATQKkyKgIzCPz2229nzpy59957r169ms6q6XCaDq0ff/zx" & _
"wcFB8iwH1Qy0XBqLAEqNVQ89m9VBS7VL59Bnn312tVp98cUX586dS3q9dOnShQsXklLff/99fdURItsi" & _
"H4HYonJoaVsuqjDmYg+bUmpazsWLF5NAX3vttQcffDC59emnn37iiScODw8vX75sLjZUAEoNVY5oyaDU" & _
"aBVR82lOqZ999llS6uOPP37ixIn0JP2ZHg8//PD169fVNceIQ6kx6hA0C5QatDBmWs0p9Ztvvjl58mSS" & _
"6ebjmWeeae57UyjVbM4lB6DUVqt/XKmdqsKu59q1aw899FCX5OnTp7snr7/+etiE9/FEqWFLFiGxuDsw" & _
"Ap3IOayVmnZ+2uTpXjr9l8hH1/SN/qeeeiple//997/99tvdjf/nn38eFvIa6ZZbUWrYkkVIDKVGqMKY" & _
"HJI9095Of6adv/nViTXI15Z9vv766zfffPOTTz5JP6b67rvvfvDBB7/++mu3+CAJb6axE2z3AjamYFyz" & _
"DAI0R6t13jyldiLoTlWtride3p1Su5euTY2i1Hi1CpQROzBQMQalsvO9VHb7IIb9wau7It2xQYDsCHl+" & _
"Q6HUVmvKgbRW5VBqLfJNzItSmyjTjiRRaq3KodRa5JuYF6U2USaUGqhMKDVQMeKlglLj1UTLiFOqxsk/" & _
"CqX6M53RiCi11WKi1FqVQ6m1yDcxL0ptokzc+AcqE0oNVIx4qaDUeDXRMuKUqnHyj0Kp/kxnNCJKbbWY" & _
"KLVW5VBqLfJNzItSmygTN/6ByoRSAxUjXiooNV5NtIw4pWqc/KNQqj/TGY2IUlstJkqtVTmUWot8E/Oi" & _
"1CbKxI1/oDKh1EDFiJcKSo1XEy0jTqkaJ/8olOrPdEYjotRWi4lSa1UOpdYi38S8KLWJMnHjH6hMKDVQ" & _
"MeKlglLj1UTLiFOqxsk/CqX6M53RiCi11WKi1FqVQ6m1yDcxL0ptokzc+AcqE0oNVIx4qaDUeDXRMuKU" & _
"qnHyj0Kp/kxnNCJKbbWYKLVW5VBqLfJNzItSmyjTHG78//jjj6tXr145ely/fv3OnTuNokepjRZumrRR" & _
"6jSc/Wdp7pT6zjvvnDp16p6jx+nTpy9evPj777/7cyk/Ikotz7jhGVBqq8VrTqnnz59frVYPPPDAI488" & _
"kp6kz3N++eWX//zzz+YKgFKbK9mUCaPUKWl7ztWiUpNGX3nllWvXrn344YfJqum4+u2333pCmWQslDoJ" & _
"5lYnQamtVq5RpaazaiKe3ks9c+ZMMuxHH33UXAFQanMlmzJhlDolbc+5mlZqut9//vnnk1LTcdUTyiRj" & _
"odRJMLc6CUpttXJNK/X7779P76geHh5evny5uQKg1OZKNmXCKHVK2p5zNarUF1988dKlS2fPnk1H1Mce" & _
"e+yXX37xhDLJWCh1EsytToJSW61ci0pNx9JHH330xIkTyafp+XvvvdcifZTaYtUmyxmlTobaeaKwSn3r" & _
"rbd2LvXTTz9N35t69dVXz507d+HChS+//DL98P8+KMm5zrz8hkOpfixnOFLcxp0hbNclhVXq6mCVv9Cw" & _
"q0tLQ6n59Z3xCCi11eKGlQ5KbbWlyNuDAEr1oFhjDJRag/rdOTml1iLfxLwotYky7UgyglLTO57H3/Qs" & _
"dErdOVeV4qHUKthbmRSltlKp7TwjKDXJZf21dquvUjuTpkc3UYRqBUkjAgpyOE4gRI9SmBEE3JW6lpf+" & _
"JMkl/TzU+ut/7rv7K1EyH2l1RxpdpSfr8bv/OOgxAqx5CUrdQuTeimYJIgeg1MjV6cstQh9vKbVL18U4" & _
"69VtKttl5Px6B0kjfyFeI0RoRa+15I+DUvMZ1hkhQh/vvBn3vfFfw01uDeKyIGnUabtds0ZoxTg0UGqc" & _
"WgzLJGwfF1LqMDolo1EqN/49/YVSS26+kmOj1JJ0+8ZGqSgVpdbafQXnRakF4fYOjVJRKkqttfsKzotS" & _
"C8JFqUPghm3FIYtwi+XG3w3lxAOF7WPeS524E6pPF7YVq5BBqVWwO0wato9RqkN1mxoibCtWoYhSq2B3" & _
"mDRsH6NUh+o2NUTYVqxCEaVWwe4wadg+RqkO1W1kiO4fCnc/Mnz8tz00sgjnNFGqM9DJhkOpk6Hemojv" & _
"+K+BJI1u/nPkWhUJNS9KDVWOAcmg1AGwXENR6ibO9T9KdmXc8GAotdXiodRalUOpx5Xq8m5PrYL6zotS" & _
"fXlON1rYt67Sp0vlU4isrbDk87GPGKG794fJ/98MGQGRSyAAAQisCYS9YapSoxmeUgf9Pk2CCxHI6eZC" & _
"KTHsIAJ6BVHqJiuUOqjNCFYJ6BvyeKQ6B3ElCaS6pLdfki7Nr3TjfzxmsW8FzFapOVuaa3MIdNu87gg5" & _
"s3Pt0ApySl3EKZWNUYvA0A2575RaK3/mHVpBU6k//vjjS0eP9GT2eLNOEzHpDG2ImKtoN6t8/vkjtEsv" & _
"QuZD+ZtKvXLlyj1Hj/QkwgKL5oBSi+Jd4uBDNySn1GhdMrSCKJUb/2g9PKt8hm5IlBqt/EMriFJRarQe" & _
"nlU+QzckSo1W/qEVRKkoNVoPzyqfoRsSpUYr/9AKolSUGq2HZ5XP0A2JUqOVf2gFRaWePHnyq6++St+h" & _
"6h5z/e4/356K1s/N5zN0Q6LUaCUfWkFRqWnYZNXuW//pkX6mKtrCXfJZqFJL/qsTt7F7Cuw2R7GBcrqz" & _
"WFJuAzddGvMfYrgr9Ycffnjuuef+9c/HG2+8kdMkYa+tr9RUv/Tv3ry+EmilIdz2VsmBmt63OR1fEqrP" & _
"2E2XRldqzt7cmuXWrVs3//m4fft2TpOEvba+UneiMW8lzJ7uJ65ot2LNzPTMgIrJz3tqk7wZUJePkp4S" & _
"s7mKnN1al0aJ2YMqNf0ihtGrVRpCiRmdQP6FZnpmQH4OjLCTgEneDKgLVklPidlcRc5urUujxOzjzVUi" & _
"m27M9QeEjZtCaQglZtzsLleZ6ZkBLmkwyHECJnkzoC5VJT0lZr2KzN1al0aJ2SMqtfuAsNG/111pCCWm" & _
"BG5xTDM9M0CciLChBEzyZsDQGX3jlfSUmC2lclBdA4mo1PTWTPcbGMc1k9IQSsy42V2uMtMzA1zSYBBO" & _
"qWYPZO5Wc/zmAkZqq9w6kywyP8ZW0Y0SU26N5shmemaAOQUB4wiY5M2AcfN6XaWkp8R0+eTvVq91xRkn" & _
"olK7iup13aKpXKjEVCySmZ4ZUDH5eU9tkjcD6vJR0lNi1krN3K11aZSYPZxSu0WOvuvvXjnTox+WElMC" & _
"tzimmZ4ZIE5E2FACJnkzYOiMvvFKekrMZlY5u9V3dRFGQ6kRqrCdg9nTZkDEVc0iJ5O8GVAXg5KeEoNS" & _
"99URpdbt8N2zmz1tBkRc1SxyMsmbAXUxKOkpMSgVpf6DwNCmmXgbmOmZARMnvJzpTPJmQF1WSnpKDEpF" & _
"qSi17l6eyeymbsyAuiCU9JQYlIpSUWrdvTyT2U3dmAF1QSjpKTEoFaWi1Lp7eSazm7oxA+qCUNJTYlAq" & _
"SkWpdffyTGY3dWMG1AWhpKfEoFSUilLr7uWZzG7qxgyoC0JJT4lBqY0pNaftlIZQYnJyyLzWTM8MyEyA" & _
"y/dumCP0PXyCl0ZJT4mhQ1Aqp1R2gQMBUzdmgEMSGUMo6SkxGSnM/NI6P+qfPhwxfZhXenSfkrj110zk" & _
"SkMoMZlp5FxupmcG5MzOtTmH0OClUdJTYmiSWKfU9JGz3ackpicps62/ZlZLaQglJjONnMvN9MyAnNm5" & _
"FqX2v7lBh/R1SBU6nUPXn+udPt27+zTazrCZD0U3SkxmGjmXm+mZATmzcy1KRamjd0GdG/9OqavVqjNp" & _
"+jM9R6nrKprGNANGNwQX9hMwyZsBdQkr6SkxdVcRefbKSj116tR9992X/kSpm11i9rQZELnnms7NJG8G" & _
"1F2+kp4SU3cVkWevqVRu/Pd1htnTZkDknms6N5O8GVB3+Up6SkzdVUSevaZS+fYUSo28N3bmZurGDKi7" & _
"ZCU9JabuKiLPjlIjVsfsaTMg4qpmkZNJ3gyoi0FJT4mpu4rIs9dR6o0bN/599EhPEp2tv2byUhpCiclM" & _
"I+fyLr30GH2MzZmda3sImJ1jBtTFq6SnxNRdReTZ6yi1KBGlIZSYokn2D45SK8JXStP/UtfzWlh9XUrn" & _
"KzHVFxI2AZQatDScUmMWpvW6KLpUYmJWJ0JWQZWa8zqvNIQSU7c8/QfV+PnXpVdudpRaju08RkapcevY" & _
"s3tRaq2yodRa5FuZF6XGrRRKDVib1ouivBgrMQFLEyQllBqkEDvS6Ln3p+lrlQ2l1iLfyrwoNXSl9m1g" & _
"lFqrbP0VyfkewDQrUjpHiZkm2xZnQamhq4ZSo5Wn9YooulRiotUlTj4oNU4tBtz70/S1yraTfP+PZ9RK" & _
"dee8SucoMaEWFSoZlBqqHHutuvU/aPpaZUOptci3Mi9KjV6pnScglFqrbD1KrZXSoHmVzlFiBk26qGCU" & _
"Gr3cKDVUhY7rpqG7/kRS0aUSE6oooZIJp9R1g46uq3KhEhOnTq1v4zgkczLZ7MzNcVrvpeNM2lpRTk1L" & _
"XItSS1D1HHPnTs5/4fFMcQFj9QDnlLqA+g9YYjilru9NUqcOWMdGqPIaq8SMm939qh6l5rNyz3aWA25K" & _
"c6tz9h1dw3JQOl+JCbvA6omN1FbRvDNf9pWGUGKKrlEcfJ3nzp2cBvn5558zcYmZLDlsE36PUkcfAqZk" & _
"q3S+EjNlzm3NhVJD12tLqetNu8+woRfTZnJbr1j7yLfywqboUolps5hTZB1Rqd397OjVKw2hxIxOwOvC" & _
"ns2MUr0gm+N0qNPdQBd5/MTa9SpKNUkuJGC8uYoCCqLU9T7hCQSaIGDuSuUwocSYEy02oL5SfTt16xyx" & _
"r65i0/jmxmgQKE3AFJnS+UqMOdFiA+or1R290hBKjGhn9/wZEAIjCDi2tDjUiCSXcAlK7asyvbWEPTCP" & _
"NYq9qoQpMfOAVmIVKBWllugrxpyagOhBJUyJmXp57cyHUm2lln7/i/Eh4EXANI+iSyXGnGixASgVpXpt" & _
"Z8apT8AUmaJLJcacaLEBKDVW6enmWPUYlc3arKOuLnuR0mBKTNksWx4dpcaqHt0cqx6jskGpo7DN5CKU" & _
"GquQKDVWPUZlg1JHYZvJRSg1ViHrvxtHBn4EYvXWUTbKa7YSE3BpQVJCqUEK8d80/LYzI9UnEKu3UOok" & _
"9UCpk2BmEgjEIKCcQJWYGKuJmAVKjVgVcoJAIQKKLpWYQunNYFiUOoMisgQIqAQUXSox6nzLi0Opy6s5" & _
"K14wAUWXSsyCERpLR6n0BgQWREDRpRKzIGQDl4pSBwIjHAItE1B0qcS0zKBs7ii1LF9Gh0AoAooulZhQ" & _
"iwqVDEoNVQ6SgUBZAooulZiyWbY8OkptuXrkDoGBBBRdKjEDp11QOEpdULFZKgQUXSoxkNxHAKXSGxBY" & _
"EAFFl0rMgpANXCpKHQiMcAi0TEDRpRLTMoOyuaPUsnwZHQKhCCi6VGJCLSpUMig1VDlIBgJlCSi6VGLK" & _
"Ztny6MWVWus3rPUXhaZpuWnJfTwBpfNj7tnxa572SpQ6LW9mg0BVAii1NP6JlGouQ6l0GkQM85rOHIcA" & _
"CLRFYOIdJE4nhjWBOopSJ4Y1pxJOjI7pmiYQs/NjZjWu0FGUujpYpS9zDWKYOc6cSmgulgAIrAl4dX4a" & _
"R9mweliKnEeZii9DLOGJg4P0ZTIVw8xxxKzMcQiAQFsEvDp/pW1YMcwrqwi1sC2WmaUIS3SlGGbmLGZl" & _
"jkMABNoi4NX5oivFMK+sItQiilIT+vRlEhHDzHHmVEJzsQRAwP3GX9yJYtic9qNtscx2jAkrZlaZqLkc" & _
"AiaBmJ0fMysT5s6AKEoV7+jFMJPFnEpoLpYACJQ4pSrf/ODG37/3RHmJrhTDzGWIWZnjEACBtgh4db7o" & _
"SjHMK6sItYhySj08OEhfJhExzBxnTiU0F0sABEqcUpUNm5SqhM1pP9oWy2zHmLBiZpWJmsshYBKI2fkx" & _
"szJhhn4vVTx+imEmizmV0FwsARDglDpZD0Q5pYpvkophJj6UaiIiYJYEvDpffJNUDPPKKkLJFq3UrpA8" & _
"ILA0AvnqEV0phqHUARWJCWtpW4j1QmCTwIANPEloTEuMW3qUU6r4+1DEMJPFnEpoLpYACJR4L1X5tSni" & _
"hp3TfoyiVPFNUjHM3EJzKqG5WAIgUEKp/Kh/6O/4i64Uw8wthFJNRATMkoBX54tvkophXllFKFmUU6r4" & _
"6xXEMJPsnEpoLpYACLifUtMOUn7PkR6WIudRpuLLiCmvmFnNo6VYRWQCMTs/Zlbj6hhFqSJTMcxk4TWO" & _
"OREBEAhFwKvzxXF8w0KR3JfMRErlR1ggAAEI9BNowphmkiiVPocABEIQMG3VREBxpTZBgSQhAAEIuBBA" & _
"qS4YGQQCEIDAXQIolT6AAAQg4EYApbqhZCAIQAACKJUegAAEIOBGAKW6oWQgCEAAAiiVHoAABCDgRgCl" & _
"uqFkIAhAAAIolR6AAAQg4EYApbqhZCAIQAACKJUegAAEIOBGAKW6oWQgCEAAAiiVHoAABCDgRgCluqFk" & _
"IAhAAAIolR6AAAQg4EYApbqhZCAIQAACKJUegAAEIOBGAKW6oWQgCEAAAiiVHoAABCDgRuA/A1ojH0oo" & _
"M7wAAAAASUVORK5CYII=" & _
"</value>" & _
"</data>" & _
"</root>"


